---
title: 'ARIA: Suggestion role'
slug: Web/Accessibility/ARIA/Roles/Suggestion_role
tags:
  - ARIA
  - ARIA Role
  - Reference
  - annotations
  - suggestion
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p>The <code>suggestion</code> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> semantically denotes a single proposed change to an editable document. This should be used on an element that wraps an element with an <code>insertion</code> role, and one with a <code>deletion</code> role.</p>

<h2 id="Examples">Examples</h2>

<p>When you’ve got a content change that involves an insertion <em>and</em> a deletion, there is no way for a screenreader user to work out if the two are related or not. This is the job of <code>role="suggestion"</code>, which should be set on an element wrapping both of them like so:</p>

<pre class="brush: html">&lt;p&gt;Freida’s pet is a
  &lt;span role="suggestion"&gt;
    &lt;span role="deletion"&gt;black Cat called Luna&lt;/span&gt;
    &lt;span role="insertion"&gt;purple Tyrannosaurus Rex called Tiny&lt;/span&gt;
  &lt;/span&gt;.
&lt;/p&gt;</pre>

<p>We could even provide an information box saying who made the suggestion and when, and associate it with the suggestion via <code>aria-details</code>:</p>

<pre class="brush: html">&lt;p&gt;Freida’s pet is a
  &lt;span role="suggestion" aria-details="comment-source"&gt;
    &lt;span role="deletion"&gt;black Cat called Luna&lt;/span&gt;
    &lt;span role="insertion"&gt;purple Tyrannosaurus Rex called Tiny&lt;/span&gt;
  &lt;/span&gt;.
&lt;/p&gt;

&lt;div id="comment-source"&gt;Suggested by Chris, &lt;time datetime="2019-03-30T19:29"&gt;March 30 2019, 19:29&lt;/time&gt;&lt;/div&gt;</pre>

<p>Browsers tend to provide a default black strikethrough for deletions, and a black underline for insertions, but you’ll probably want to use</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles</a> are intended to be used sparingly, to identify larger overall sections of the document. Using too many landmark roles can create "noise" in screen readers, making it difficult to understand the overall layout of the page.</p>

<h2 id="Best_practices">Best practices</h2>

<h3 id="Prefer_HTML">Prefer HTML</h3>

<p>Using the <code><a href="/en-US/docs/Web/HTML/Element/ins">&lt;ins&gt;</a></code> and <code><a href="/en-US/docs/Web/HTML/Element/del">&lt;del&gt;</a></code> element will automatically communicate a section has a role of <code>insertion</code> or <code>deletion</code>. If at all possible, prefer using the HTML elements.</p>

<h2 id="Specifications">Specifications</h2>

<p>Will be part of WAI-ARIA 1.3, which is still being drafted.</p>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/Annotations">ARIA annotations</a></li>
</ul>
